Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2707 in orxonox.OLD for orxonox/branches/buerli/configure


Ignore:
Timestamp:
Nov 3, 2004, 12:29:03 AM (20 years ago)
Author:
bensch
Message:

orxonox/branches/buerli: merged back from trunk, with new configure makefile and so forth.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/branches/buerli/configure

    r2190 r2707  
    312312#endif"
    313313
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MSBITFIELDS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP LIBOBJS LTLIBOBJS'
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP MSBITFIELDS LIBOBJS LTLIBOBJS'
    315315ac_subst_files=''
    316316
     
    858858  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    859859  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    860   --disable-dependency-tracking Speeds up one-time builds
    861   --enable-dependency-tracking  Do not reject slow dependency extractors
     860  --disable-dependency-tracking  speeds up one-time build
     861  --enable-dependency-tracking   do not reject slow dependency extractors
    862862
    863863Some influential environment variables:
     
    13211321
    13221322
    1323 am__api_version="1.7"
     1323am__api_version="1.8"
    13241324ac_aux_dir=
    13251325for ac_dir in $srcdir $srcdir/.. $srcdir/../..; do
     
    14841484rm conftest.sed
    14851485
    1486 
    14871486# expand $ac_aux_dir to an absolute path
    14881487am_aux_dir=`cd $ac_aux_dir && pwd`
     
    14961495  { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5
    14971496echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
     1497fi
     1498
     1499if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
     1500  # Keeping the `.' argument allows $(mkdir_p) to be used without
     1501  # argument.  Indeed, we sometimes output rules like
     1502  #   $(mkdir_p) $(somedir)
     1503  # where $(somedir) is conditionally defined.
     1504  # (`test -n '$(somedir)' && $(mkdir_p) $(somedir)' is a more
     1505  # expensive solution, as it forces Make to start a sub-shell.)
     1506  mkdir_p='mkdir -p -- .'
     1507else
     1508  # On NextStep and OpenStep, the `mkdir' command does not
     1509  # recognize any option.  It will interpret all options as
     1510  # directories to create, and then abort because `.' already
     1511  # exists.
     1512  for d in ./-p ./--version;
     1513  do
     1514    test -d $d && rmdir $d
     1515  done
     1516  # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
     1517  if test -f "$ac_aux_dir/mkinstalldirs"; then
     1518    mkdir_p='$(mkinstalldirs)'
     1519  else
     1520    mkdir_p='$(install_sh) -d'
     1521  fi
    14981522fi
    14991523
     
    15761600rmdir .tst 2>/dev/null
    15771601
    1578  # test to see if srcdir already configured
     1602# test to see if srcdir already configured
    15791603if test "`cd $srcdir && pwd`" != "`pwd`" &&
    15801604   test -f $srcdir/config.status; then
     
    17231747
    17241748
     1749
    17251750          ac_config_headers="$ac_config_headers config.h"
    1726 
    1727 
    1728 echo "$as_me:$LINENO: checking for mingw" >&5
    1729 echo $ECHO_N "checking for mingw... $ECHO_C" >&6
    1730 case `uname` in
    1731   *MINGW*)
    1732     mingw="yes"
    1733     MSBITFIELDS="-mms-bitfields"
    1734     MWINDOWS="-mwindows"
    1735     ;;
    1736   *)
    1737     mingw="no"
    1738     ;;
    1739 esac
    1740 echo "$as_me:$LINENO: result: $mingw" >&5
    1741 echo "${ECHO_T}$mingw" >&6
    17421751
    17431752
     
    24062415    for i in 1 2 3 4 5 6; do
    24072416      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    2408       : > sub/conftst$i.h
     2417      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
     2418      # Solaris 8's {/usr,}/bin/sh.
     2419      touch sub/conftst$i.h
    24092420    done
    24102421    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    24342445       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    24352446      # icc doesn't choke on unknown options, it will just issue warnings
    2436       # (even with -Werror).  So we grep stderr for any message
    2437       # that says an option was ignored.
    2438       if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
     2447      # or remarks (even with -Werror).  So we grep stderr for any message
     2448      # that says an option was ignored or not supported.
     2449      # When given -MP, icc 7.0 and 7.1 complain thusly:
     2450      #   icc: Command line warning: ignoring option '-M'; no argument required
     2451      # The diagnosis changed in icc 8.0:
     2452      #   icc: Command line remark: option '-MP' not supported
     2453      if (grep 'ignoring option' conftest.err ||
     2454          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
    24392455        am_cv_CXX_dependencies_compiler_type=$depmode
    24402456        break
     
    32373253    for i in 1 2 3 4 5 6; do
    32383254      echo '#include "conftst'$i'.h"' >> sub/conftest.c
    3239       : > sub/conftst$i.h
     3255      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
     3256      # Solaris 8's {/usr,}/bin/sh.
     3257      touch sub/conftst$i.h
    32403258    done
    32413259    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
     
    32653283       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
    32663284      # icc doesn't choke on unknown options, it will just issue warnings
    3267       # (even with -Werror).  So we grep stderr for any message
    3268       # that says an option was ignored.
    3269       if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
     3285      # or remarks (even with -Werror).  So we grep stderr for any message
     3286      # that says an option was ignored or not supported.
     3287      # When given -MP, icc 7.0 and 7.1 complain thusly:
     3288      #   icc: Command line warning: ignoring option '-M'; no argument required
     3289      # The diagnosis changed in icc 8.0:
     3290      #   icc: Command line remark: option '-MP' not supported
     3291      if (grep 'ignoring option' conftest.err ||
     3292          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
    32703293        am_cv_CC_dependencies_compiler_type=$depmode
    32713294        break
     
    32993322
    33003323
    3301 # Checks for libraries.
    3302 
    3303 #  cheking for libGL
     3324
     3325# checking gl header (has to be here because of a Linux error)
    33043326
    33053327ac_ext=c
     
    39463968
    39473969
    3948 #   checking for Unix GL
    3949 echo "$as_me:$LINENO: checking for main in -lGL" >&5
    3950 echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
    3951 if test "${ac_cv_lib_GL_main+set}" = set; then
     3970
     3971
     3972### CHECKING FOR SYSTEM ###
     3973
     3974echo "$as_me:$LINENO: checking for System" >&5
     3975echo $ECHO_N "checking for System... $ECHO_C" >&6
     3976case `uname` in
     3977### WINDOWS ###
     3978  *MINGW*)
     3979echo "mingw-WINDOWS detected"
     3980
     3981    mingw="yes"
     3982    MSBITFIELDS="-mms-bitfields"
     3983    MWINDOWS="-mwindows"
     3984
     3985# checking gl header
     3986        #done before loop
     3987
     3988#   checking for Windows openGl library
     3989    echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
     3990echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
     3991if test "${ac_cv_lib_opengl32_main+set}" = set; then
    39523992  echo $ECHO_N "(cached) $ECHO_C" >&6
    39533993else
    39543994  ac_check_lib_save_LIBS=$LIBS
    3955 LIBS="-lGL  $LIBS"
     3995LIBS="-lopengl32  $LIBS"
    39563996cat >conftest.$ac_ext <<_ACEOF
    39573997/* confdefs.h.  */
     
    39924032  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    39934033  (exit $ac_status); }; }; then
    3994   ac_cv_lib_GL_main=yes
    3995 else
    3996   echo "$as_me: failed program was:" >&5
    3997 sed 's/^/| /' conftest.$ac_ext >&5
    3998 
    3999 ac_cv_lib_GL_main=no
    4000 fi
    4001 rm -f conftest.err conftest.$ac_objext \
    4002       conftest$ac_exeext conftest.$ac_ext
    4003 LIBS=$ac_check_lib_save_LIBS
    4004 fi
    4005 echo "$as_me:$LINENO: result: $ac_cv_lib_GL_main" >&5
    4006 echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
    4007 if test $ac_cv_lib_GL_main = yes; then
    4008   FOUND_GL=yes
    4009 fi
    4010 
    4011 if test "$FOUND_GL" = "yes" ; then
    4012     LIBS="$LIBS -lGL"
    4013     #   checking for Windows openGl library
    4014 else
    4015     echo "We did not find the Linux opengl Library. Checking for Windows Library"
    4016     echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
    4017 echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
    4018 if test "${ac_cv_lib_opengl32_main+set}" = set; then
    4019   echo $ECHO_N "(cached) $ECHO_C" >&6
    4020 else
    4021   ac_check_lib_save_LIBS=$LIBS
    4022 LIBS="-lopengl32  $LIBS"
    4023 cat >conftest.$ac_ext <<_ACEOF
    4024 /* confdefs.h.  */
    4025 _ACEOF
    4026 cat confdefs.h >>conftest.$ac_ext
    4027 cat >>conftest.$ac_ext <<_ACEOF
    4028 /* end confdefs.h.  */
    4029 
    4030 
    4031 int
    4032 main ()
    4033 {
    4034 main ();
    4035   ;
    4036   return 0;
    4037 }
    4038 _ACEOF
    4039 rm -f conftest.$ac_objext conftest$ac_exeext
    4040 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4041   (eval $ac_link) 2>conftest.er1
    4042   ac_status=$?
    4043   grep -v '^ *+' conftest.er1 >conftest.err
    4044   rm -f conftest.er1
    4045   cat conftest.err >&5
    4046   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4047   (exit $ac_status); } &&
    4048          { ac_try='test -z "$ac_c_werror_flag"
    4049                          || test ! -s conftest.err'
    4050   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4051   (eval $ac_try) 2>&5
    4052   ac_status=$?
    4053   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4054   (exit $ac_status); }; } &&
    4055          { ac_try='test -s conftest$ac_exeext'
    4056   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4057   (eval $ac_try) 2>&5
    4058   ac_status=$?
    4059   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4060   (exit $ac_status); }; }; then
    40614034  ac_cv_lib_opengl32_main=yes
    40624035else
     
    40804053    if test "$FOUND_opengl32" = "yes" ; then
    40814054        LIBS="$LIBS -lopengl32"
    4082 
    40834055    else
    40844056         echo "------------------"
     
    40884060         exit -1
    40894061    fi
    4090 fi
    4091 
    4092 #  cheking for libGLU
     4062
     4063# cheking for GLU-header
    40934064
    40944065for ac_header in GL/glu.h
     
    42464217
    42474218
    4248 echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
    4249 echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
    4250 if test "${ac_cv_lib_GLU_gluProject+set}" = set; then
    4251   echo $ECHO_N "(cached) $ECHO_C" >&6
    4252 else
    4253   ac_check_lib_save_LIBS=$LIBS
    4254 LIBS="-lGLU  $LIBS"
    4255 cat >conftest.$ac_ext <<_ACEOF
    4256 /* confdefs.h.  */
    4257 _ACEOF
    4258 cat confdefs.h >>conftest.$ac_ext
    4259 cat >>conftest.$ac_ext <<_ACEOF
    4260 /* end confdefs.h.  */
    4261 
    4262 /* Override any gcc2 internal prototype to avoid an error.  */
    4263 #ifdef __cplusplus
    4264 extern "C"
    4265 #endif
    4266 /* We use char because int might match the return type of a gcc2
    4267    builtin and then its argument prototype would still apply.  */
    4268 char gluProject ();
    4269 int
    4270 main ()
    4271 {
    4272 gluProject ();
    4273   ;
    4274   return 0;
    4275 }
    4276 _ACEOF
    4277 rm -f conftest.$ac_objext conftest$ac_exeext
    4278 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4279   (eval $ac_link) 2>conftest.er1
    4280   ac_status=$?
    4281   grep -v '^ *+' conftest.er1 >conftest.err
    4282   rm -f conftest.er1
    4283   cat conftest.err >&5
    4284   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4285   (exit $ac_status); } &&
    4286          { ac_try='test -z "$ac_c_werror_flag"
    4287                          || test ! -s conftest.err'
    4288   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4289   (eval $ac_try) 2>&5
    4290   ac_status=$?
    4291   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4292   (exit $ac_status); }; } &&
    4293          { ac_try='test -s conftest$ac_exeext'
    4294   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4295   (eval $ac_try) 2>&5
    4296   ac_status=$?
    4297   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4298   (exit $ac_status); }; }; then
    4299   ac_cv_lib_GLU_gluProject=yes
    4300 else
    4301   echo "$as_me: failed program was:" >&5
    4302 sed 's/^/| /' conftest.$ac_ext >&5
    4303 
    4304 ac_cv_lib_GLU_gluProject=no
    4305 fi
    4306 rm -f conftest.err conftest.$ac_objext \
    4307       conftest$ac_exeext conftest.$ac_ext
    4308 LIBS=$ac_check_lib_save_LIBS
    4309 fi
    4310 echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluProject" >&5
    4311 echo "${ECHO_T}$ac_cv_lib_GLU_gluProject" >&6
    4312 if test $ac_cv_lib_GLU_gluProject = yes; then
    4313   FOUND_GLU=yes
    4314 fi
    4315 
    4316 if test "$FOUND_GLU" = "yes" ; then
    4317     LIBS="$LIBS -lGLU"
    4318     #   checking for Windows GLU32 library
    4319 else
    4320     echo "We did not find the Linux GLU Library. Checking for Windows Library"
     4219# checking for libGLU
    43214220    echo "$as_me:$LINENO: checking for main in -lglu32" >&5
    43224221echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
     
    43834282    if test "$FOUND_glu32" = "yes" ; then
    43844283        LIBS="$LIBS -lGLU32"
    4385 
    4386         else
     4284    else
    43874285         echo "------------------"
    43884286         echo "GLU library not found."
     
    43914289         exit -1
    43924290    fi
    4393 fi
    4394 
    4395 # FIXME: Replace `main' with a function in `-lOSMesa':
    4396 
    4397 echo "$as_me:$LINENO: checking for main in -lOSMesa" >&5
    4398 echo $ECHO_N "checking for main in -lOSMesa... $ECHO_C" >&6
    4399 if test "${ac_cv_lib_OSMesa_main+set}" = set; then
     4291
     4292
     4293# checking for mingw32
     4294    echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
     4295echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
     4296if test "${ac_cv_lib_mingw32_main+set}" = set; then
    44004297  echo $ECHO_N "(cached) $ECHO_C" >&6
    44014298else
    44024299  ac_check_lib_save_LIBS=$LIBS
    4403 LIBS="-lOSMesa  $LIBS"
     4300LIBS="-lmingw32  $LIBS"
    44044301cat >conftest.$ac_ext <<_ACEOF
    44054302/* confdefs.h.  */
     
    44404337  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    44414338  (exit $ac_status); }; }; then
    4442   ac_cv_lib_OSMesa_main=yes
     4339  ac_cv_lib_mingw32_main=yes
    44434340else
    44444341  echo "$as_me: failed program was:" >&5
    44454342sed 's/^/| /' conftest.$ac_ext >&5
    44464343
    4447 ac_cv_lib_OSMesa_main=no
     4344ac_cv_lib_mingw32_main=no
    44484345fi
    44494346rm -f conftest.err conftest.$ac_objext \
     
    44514348LIBS=$ac_check_lib_save_LIBS
    44524349fi
    4453 echo "$as_me:$LINENO: result: $ac_cv_lib_OSMesa_main" >&5
    4454 echo "${ECHO_T}$ac_cv_lib_OSMesa_main" >&6
    4455 if test $ac_cv_lib_OSMesa_main = yes; then
    4456   cat >>confdefs.h <<_ACEOF
    4457 #define HAVE_LIBOSMESA 1
    4458 _ACEOF
    4459 
    4460   LIBS="-lOSMesa $LIBS"
    4461 
    4462 fi
    4463 
    4464 # FIXME: Replace `main' with a function in `-lX11':
    4465 
    4466 echo "$as_me:$LINENO: checking for main in -lX11" >&5
    4467 echo $ECHO_N "checking for main in -lX11... $ECHO_C" >&6
    4468 if test "${ac_cv_lib_X11_main+set}" = set; then
    4469   echo $ECHO_N "(cached) $ECHO_C" >&6
    4470 else
    4471   ac_check_lib_save_LIBS=$LIBS
    4472 LIBS="-lX11  $LIBS"
    4473 cat >conftest.$ac_ext <<_ACEOF
    4474 /* confdefs.h.  */
    4475 _ACEOF
    4476 cat confdefs.h >>conftest.$ac_ext
    4477 cat >>conftest.$ac_ext <<_ACEOF
    4478 /* end confdefs.h.  */
    4479 
    4480 
    4481 int
    4482 main ()
    4483 {
    4484 main ();
    4485   ;
    4486   return 0;
    4487 }
    4488 _ACEOF
    4489 rm -f conftest.$ac_objext conftest$ac_exeext
    4490 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4491   (eval $ac_link) 2>conftest.er1
    4492   ac_status=$?
    4493   grep -v '^ *+' conftest.er1 >conftest.err
    4494   rm -f conftest.er1
    4495   cat conftest.err >&5
    4496   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4497   (exit $ac_status); } &&
    4498          { ac_try='test -z "$ac_c_werror_flag"
    4499                          || test ! -s conftest.err'
    4500   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4501   (eval $ac_try) 2>&5
    4502   ac_status=$?
    4503   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4504   (exit $ac_status); }; } &&
    4505          { ac_try='test -s conftest$ac_exeext'
    4506   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4507   (eval $ac_try) 2>&5
    4508   ac_status=$?
    4509   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4510   (exit $ac_status); }; }; then
    4511   ac_cv_lib_X11_main=yes
    4512 else
    4513   echo "$as_me: failed program was:" >&5
    4514 sed 's/^/| /' conftest.$ac_ext >&5
    4515 
    4516 ac_cv_lib_X11_main=no
    4517 fi
    4518 rm -f conftest.err conftest.$ac_objext \
    4519       conftest$ac_exeext conftest.$ac_ext
    4520 LIBS=$ac_check_lib_save_LIBS
    4521 fi
    4522 echo "$as_me:$LINENO: result: $ac_cv_lib_X11_main" >&5
    4523 echo "${ECHO_T}$ac_cv_lib_X11_main" >&6
    4524 if test $ac_cv_lib_X11_main = yes; then
    4525   cat >>confdefs.h <<_ACEOF
    4526 #define HAVE_LIBX11 1
    4527 _ACEOF
    4528 
    4529   LIBS="-lX11 $LIBS"
    4530 
    4531 fi
    4532 
    4533 # FIXME: Replace `main' with a function in `-lXt':
    4534 
    4535 echo "$as_me:$LINENO: checking for main in -lXt" >&5
    4536 echo $ECHO_N "checking for main in -lXt... $ECHO_C" >&6
    4537 if test "${ac_cv_lib_Xt_main+set}" = set; then
    4538   echo $ECHO_N "(cached) $ECHO_C" >&6
    4539 else
    4540   ac_check_lib_save_LIBS=$LIBS
    4541 LIBS="-lXt  $LIBS"
    4542 cat >conftest.$ac_ext <<_ACEOF
    4543 /* confdefs.h.  */
    4544 _ACEOF
    4545 cat confdefs.h >>conftest.$ac_ext
    4546 cat >>conftest.$ac_ext <<_ACEOF
    4547 /* end confdefs.h.  */
    4548 
    4549 
    4550 int
    4551 main ()
    4552 {
    4553 main ();
    4554   ;
    4555   return 0;
    4556 }
    4557 _ACEOF
    4558 rm -f conftest.$ac_objext conftest$ac_exeext
    4559 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4560   (eval $ac_link) 2>conftest.er1
    4561   ac_status=$?
    4562   grep -v '^ *+' conftest.er1 >conftest.err
    4563   rm -f conftest.er1
    4564   cat conftest.err >&5
    4565   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4566   (exit $ac_status); } &&
    4567          { ac_try='test -z "$ac_c_werror_flag"
    4568                          || test ! -s conftest.err'
    4569   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4570   (eval $ac_try) 2>&5
    4571   ac_status=$?
    4572   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4573   (exit $ac_status); }; } &&
    4574          { ac_try='test -s conftest$ac_exeext'
    4575   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4576   (eval $ac_try) 2>&5
    4577   ac_status=$?
    4578   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4579   (exit $ac_status); }; }; then
    4580   ac_cv_lib_Xt_main=yes
    4581 else
    4582   echo "$as_me: failed program was:" >&5
    4583 sed 's/^/| /' conftest.$ac_ext >&5
    4584 
    4585 ac_cv_lib_Xt_main=no
    4586 fi
    4587 rm -f conftest.err conftest.$ac_objext \
    4588       conftest$ac_exeext conftest.$ac_ext
    4589 LIBS=$ac_check_lib_save_LIBS
    4590 fi
    4591 echo "$as_me:$LINENO: result: $ac_cv_lib_Xt_main" >&5
    4592 echo "${ECHO_T}$ac_cv_lib_Xt_main" >&6
    4593 if test $ac_cv_lib_Xt_main = yes; then
    4594   cat >>confdefs.h <<_ACEOF
    4595 #define HAVE_LIBXT 1
    4596 _ACEOF
    4597 
    4598   LIBS="-lXt $LIBS"
    4599 
    4600 fi
    4601 
    4602 
    4603 #  cheking for libglut32
    4604 
    4605 for ac_header in GL/glut.h
     4350echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
     4351echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
     4352if test $ac_cv_lib_mingw32_main = yes; then
     4353  FOUND_mingw32=yes
     4354fi
     4355
     4356    if test $FOUND_mingw32 = "yes"; then
     4357        LIBS="$LIBS -lmingw32"
     4358    fi
     4359# checking for SDL-headers
     4360
     4361for ac_header in SDL/SDL.h
    46064362do
    46074363as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    47494505
    47504506else
    4751   { { echo "$as_me:$LINENO: error: cannot find glut headers" >&5
    4752 echo "$as_me: error: cannot find glut headers" >&2;}
     4507  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     4508echo "$as_me: error: cannot find SDL headers" >&2;}
    47534509   { (exit 1); exit 1; }; }
    47544510fi
     
    47564512done
    47574513
    4758 echo "$as_me:$LINENO: checking for glutInit in -lglut" >&5
    4759 echo $ECHO_N "checking for glutInit in -lglut... $ECHO_C" >&6
    4760 if test "${ac_cv_lib_glut_glutInit+set}" = set; then
     4514
     4515#checking for libSDL
     4516    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
     4517echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
     4518if test "${ac_cv_lib_sdlmain_main+set}" = set; then
    47614519  echo $ECHO_N "(cached) $ECHO_C" >&6
    47624520else
    47634521  ac_check_lib_save_LIBS=$LIBS
    4764 LIBS="-lglut  $LIBS"
    4765 cat >conftest.$ac_ext <<_ACEOF
    4766 /* confdefs.h.  */
    4767 _ACEOF
    4768 cat confdefs.h >>conftest.$ac_ext
    4769 cat >>conftest.$ac_ext <<_ACEOF
    4770 /* end confdefs.h.  */
    4771 
    4772 /* Override any gcc2 internal prototype to avoid an error.  */
    4773 #ifdef __cplusplus
    4774 extern "C"
    4775 #endif
    4776 /* We use char because int might match the return type of a gcc2
    4777    builtin and then its argument prototype would still apply.  */
    4778 char glutInit ();
    4779 int
    4780 main ()
    4781 {
    4782 glutInit ();
    4783   ;
    4784   return 0;
    4785 }
    4786 _ACEOF
    4787 rm -f conftest.$ac_objext conftest$ac_exeext
    4788 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4789   (eval $ac_link) 2>conftest.er1
    4790   ac_status=$?
    4791   grep -v '^ *+' conftest.er1 >conftest.err
    4792   rm -f conftest.er1
    4793   cat conftest.err >&5
    4794   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4795   (exit $ac_status); } &&
    4796          { ac_try='test -z "$ac_c_werror_flag"
    4797                          || test ! -s conftest.err'
    4798   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4799   (eval $ac_try) 2>&5
    4800   ac_status=$?
    4801   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4802   (exit $ac_status); }; } &&
    4803          { ac_try='test -s conftest$ac_exeext'
    4804   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4805   (eval $ac_try) 2>&5
    4806   ac_status=$?
    4807   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4808   (exit $ac_status); }; }; then
    4809   ac_cv_lib_glut_glutInit=yes
    4810 else
    4811   echo "$as_me: failed program was:" >&5
    4812 sed 's/^/| /' conftest.$ac_ext >&5
    4813 
    4814 ac_cv_lib_glut_glutInit=no
    4815 fi
    4816 rm -f conftest.err conftest.$ac_objext \
    4817       conftest$ac_exeext conftest.$ac_ext
    4818 LIBS=$ac_check_lib_save_LIBS
    4819 fi
    4820 echo "$as_me:$LINENO: result: $ac_cv_lib_glut_glutInit" >&5
    4821 echo "${ECHO_T}$ac_cv_lib_glut_glutInit" >&6
    4822 if test $ac_cv_lib_glut_glutInit = yes; then
    4823   FOUND_glut=yes
    4824 fi
    4825 
    4826 if test "$FOUND_glut" = "yes" ; then
    4827     LIBS="$LIBS -lglut"
    4828     #   checking for Windows glut32 library
    4829 else
    4830     echo "We did not find the Linux glut Library. Checking for Windows Library"
    4831     echo "$as_me:$LINENO: checking for main in -lglut32" >&5
    4832 echo $ECHO_N "checking for main in -lglut32... $ECHO_C" >&6
    4833 if test "${ac_cv_lib_glut32_main+set}" = set; then
    4834   echo $ECHO_N "(cached) $ECHO_C" >&6
    4835 else
    4836   ac_check_lib_save_LIBS=$LIBS
    4837 LIBS="-lglut32  $LIBS"
     4522LIBS="-lsdlmain  $LIBS"
    48384523cat >conftest.$ac_ext <<_ACEOF
    48394524/* confdefs.h.  */
     
    48744559  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    48754560  (exit $ac_status); }; }; then
    4876   ac_cv_lib_glut32_main=yes
     4561  ac_cv_lib_sdlmain_main=yes
    48774562else
    48784563  echo "$as_me: failed program was:" >&5
    48794564sed 's/^/| /' conftest.$ac_ext >&5
    48804565
    4881 ac_cv_lib_glut32_main=no
     4566ac_cv_lib_sdlmain_main=no
    48824567fi
    48834568rm -f conftest.err conftest.$ac_objext \
     
    48854570LIBS=$ac_check_lib_save_LIBS
    48864571fi
    4887 echo "$as_me:$LINENO: result: $ac_cv_lib_glut32_main" >&5
    4888 echo "${ECHO_T}$ac_cv_lib_glut32_main" >&6
    4889 if test $ac_cv_lib_glut32_main = yes; then
    4890   FOUND_glut32=yes
    4891 fi
    4892 
    4893     if test "$FOUND_glut32" = "yes" ; then
    4894         LIBS="$LIBS -lglut32"
     4572echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
     4573echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
     4574if test $ac_cv_lib_sdlmain_main = yes; then
     4575  FOUND_sdlmain=yes
     4576fi
     4577
     4578    if test "$FOUND_sdlmain" = "yes" ; then
     4579        LIBS="$LIBS -lsdlmain"
    48954580    else
    48964581         echo "------------------"
    4897          echo "glut library not found."
    4898          echo "please install the glut library, which can be found at http://www.xmission.com/~nate/glut.html"
     4582         echo "SDL library not found."
     4583         echo "please install the SDL library, which can be found at http://www.libsdl.org"
    48994584         echo "------------------"
    4900          exit -1
     4585         exit 1
    49014586    fi
    4902 fi
    4903 
    4904 ## mingw CHECK
    4905 if test $mingw = yes ; then
    4906         echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
    4907 echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
    4908 if test "${ac_cv_lib_mingw32_main+set}" = set; then
     4587    echo "$as_me:$LINENO: checking for main in -lsdl" >&5
     4588echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
     4589if test "${ac_cv_lib_sdl_main+set}" = set; then
    49094590  echo $ECHO_N "(cached) $ECHO_C" >&6
    49104591else
    49114592  ac_check_lib_save_LIBS=$LIBS
    4912 LIBS="-lmingw32  $LIBS"
     4593LIBS="-lsdl  $LIBS"
    49134594cat >conftest.$ac_ext <<_ACEOF
    49144595/* confdefs.h.  */
     
    49494630  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    49504631  (exit $ac_status); }; }; then
    4951   ac_cv_lib_mingw32_main=yes
     4632  ac_cv_lib_sdl_main=yes
    49524633else
    49534634  echo "$as_me: failed program was:" >&5
    49544635sed 's/^/| /' conftest.$ac_ext >&5
    49554636
    4956 ac_cv_lib_mingw32_main=no
     4637ac_cv_lib_sdl_main=no
    49574638fi
    49584639rm -f conftest.err conftest.$ac_objext \
     
    49604641LIBS=$ac_check_lib_save_LIBS
    49614642fi
    4962 echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
    4963 echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
    4964 if test $ac_cv_lib_mingw32_main = yes; then
    4965   FOUND_mingw32=yes
    4966 fi
    4967 
    4968         if test $FOUND_mingw32 = "yes"; then
    4969                 LIBS="$LIBS -lmingw32"
    4970         fi
    4971 fi
    4972 
    4973 ## SDL CHECK
    4974 
    4975 #checking for SDL libs
    4976 
    4977 for ac_header in SDL/SDL.h
     4643echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
     4644echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
     4645if test $ac_cv_lib_sdl_main = yes; then
     4646  FOUND_sdl=yes
     4647fi
     4648
     4649    if test "$FOUND_sdl" = "yes" ; then
     4650        LIBS="$LIBS -lsdl"
     4651    else
     4652         echo "------------------"
     4653         echo "SDL library not found."
     4654         echo "please install the SDL library, which can be found at http://www.libsdl.org"
     4655         echo "------------------"
     4656         exit -1
     4657    fi
     4658
     4659    ;;
     4660
     4661### LINUX ###
     4662 *Linux*)
     4663echo "Linux detected"
     4664
     4665 Linux="yes"
     4666
     4667# checking gl header
     4668        #has been done befor linux-check
     4669
     4670#  checking for Unix GL
     4671   echo "$as_me:$LINENO: checking for main in -lGL" >&5
     4672echo $ECHO_N "checking for main in -lGL... $ECHO_C" >&6
     4673if test "${ac_cv_lib_GL_main+set}" = set; then
     4674  echo $ECHO_N "(cached) $ECHO_C" >&6
     4675else
     4676  ac_check_lib_save_LIBS=$LIBS
     4677LIBS="-lGL  $LIBS"
     4678cat >conftest.$ac_ext <<_ACEOF
     4679/* confdefs.h.  */
     4680_ACEOF
     4681cat confdefs.h >>conftest.$ac_ext
     4682cat >>conftest.$ac_ext <<_ACEOF
     4683/* end confdefs.h.  */
     4684
     4685
     4686int
     4687main ()
     4688{
     4689main ();
     4690  ;
     4691  return 0;
     4692}
     4693_ACEOF
     4694rm -f conftest.$ac_objext conftest$ac_exeext
     4695if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4696  (eval $ac_link) 2>conftest.er1
     4697  ac_status=$?
     4698  grep -v '^ *+' conftest.er1 >conftest.err
     4699  rm -f conftest.er1
     4700  cat conftest.err >&5
     4701  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4702  (exit $ac_status); } &&
     4703         { ac_try='test -z "$ac_c_werror_flag"
     4704                         || test ! -s conftest.err'
     4705  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4706  (eval $ac_try) 2>&5
     4707  ac_status=$?
     4708  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4709  (exit $ac_status); }; } &&
     4710         { ac_try='test -s conftest$ac_exeext'
     4711  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4712  (eval $ac_try) 2>&5
     4713  ac_status=$?
     4714  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4715  (exit $ac_status); }; }; then
     4716  ac_cv_lib_GL_main=yes
     4717else
     4718  echo "$as_me: failed program was:" >&5
     4719sed 's/^/| /' conftest.$ac_ext >&5
     4720
     4721ac_cv_lib_GL_main=no
     4722fi
     4723rm -f conftest.err conftest.$ac_objext \
     4724      conftest$ac_exeext conftest.$ac_ext
     4725LIBS=$ac_check_lib_save_LIBS
     4726fi
     4727echo "$as_me:$LINENO: result: $ac_cv_lib_GL_main" >&5
     4728echo "${ECHO_T}$ac_cv_lib_GL_main" >&6
     4729if test $ac_cv_lib_GL_main = yes; then
     4730  FOUND_GL=yes
     4731fi
     4732
     4733   if test "$FOUND_GL" = "yes" ; then
     4734     LIBS="$LIBS -lGL"
     4735   else
     4736         echo "------------------"
     4737         echo "opengl not found."
     4738         echo "please install the opengl package which can be found at http://www.opengl.org"
     4739         echo "------------------"
     4740         exit -1
     4741   fi
     4742
     4743# cheking for GLU-header
     4744
     4745for ac_header in GL/glu.h
    49784746do
    49794747as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    51214889
    51224890else
     4891  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
     4892echo "$as_me: error: cannot find opengl headers" >&2;}
     4893   { (exit 1); exit 1; }; }
     4894fi
     4895
     4896done
     4897
     4898
     4899    echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
     4900echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
     4901if test "${ac_cv_lib_GLU_gluProject+set}" = set; then
     4902  echo $ECHO_N "(cached) $ECHO_C" >&6
     4903else
     4904  ac_check_lib_save_LIBS=$LIBS
     4905LIBS="-lGLU  $LIBS"
     4906cat >conftest.$ac_ext <<_ACEOF
     4907/* confdefs.h.  */
     4908_ACEOF
     4909cat confdefs.h >>conftest.$ac_ext
     4910cat >>conftest.$ac_ext <<_ACEOF
     4911/* end confdefs.h.  */
     4912
     4913/* Override any gcc2 internal prototype to avoid an error.  */
     4914#ifdef __cplusplus
     4915extern "C"
     4916#endif
     4917/* We use char because int might match the return type of a gcc2
     4918   builtin and then its argument prototype would still apply.  */
     4919char gluProject ();
     4920int
     4921main ()
     4922{
     4923gluProject ();
     4924  ;
     4925  return 0;
     4926}
     4927_ACEOF
     4928rm -f conftest.$ac_objext conftest$ac_exeext
     4929if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4930  (eval $ac_link) 2>conftest.er1
     4931  ac_status=$?
     4932  grep -v '^ *+' conftest.er1 >conftest.err
     4933  rm -f conftest.er1
     4934  cat conftest.err >&5
     4935  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4936  (exit $ac_status); } &&
     4937         { ac_try='test -z "$ac_c_werror_flag"
     4938                         || test ! -s conftest.err'
     4939  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4940  (eval $ac_try) 2>&5
     4941  ac_status=$?
     4942  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4943  (exit $ac_status); }; } &&
     4944         { ac_try='test -s conftest$ac_exeext'
     4945  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4946  (eval $ac_try) 2>&5
     4947  ac_status=$?
     4948  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4949  (exit $ac_status); }; }; then
     4950  ac_cv_lib_GLU_gluProject=yes
     4951else
     4952  echo "$as_me: failed program was:" >&5
     4953sed 's/^/| /' conftest.$ac_ext >&5
     4954
     4955ac_cv_lib_GLU_gluProject=no
     4956fi
     4957rm -f conftest.err conftest.$ac_objext \
     4958      conftest$ac_exeext conftest.$ac_ext
     4959LIBS=$ac_check_lib_save_LIBS
     4960fi
     4961echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluProject" >&5
     4962echo "${ECHO_T}$ac_cv_lib_GLU_gluProject" >&6
     4963if test $ac_cv_lib_GLU_gluProject = yes; then
     4964  FOUND_GLU=yes
     4965fi
     4966
     4967    if test "$FOUND_GLU" = "yes" ; then
     4968      LIBS="$LIBS -lGLU"
     4969    else
     4970         echo "------------------"
     4971         echo "GLU library not found."
     4972         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
     4973         echo "------------------"
     4974         exit -1
     4975    fi
     4976
     4977# checking for SDL-headers
     4978
     4979for ac_header in SDL/SDL.h
     4980do
     4981as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4982if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4983  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4984echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4985if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4986  echo $ECHO_N "(cached) $ECHO_C" >&6
     4987fi
     4988echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4989echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4990else
     4991  # Is the header compilable?
     4992echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4993echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4994cat >conftest.$ac_ext <<_ACEOF
     4995/* confdefs.h.  */
     4996_ACEOF
     4997cat confdefs.h >>conftest.$ac_ext
     4998cat >>conftest.$ac_ext <<_ACEOF
     4999/* end confdefs.h.  */
     5000$ac_includes_default
     5001#include <$ac_header>
     5002_ACEOF
     5003rm -f conftest.$ac_objext
     5004if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     5005  (eval $ac_compile) 2>conftest.er1
     5006  ac_status=$?
     5007  grep -v '^ *+' conftest.er1 >conftest.err
     5008  rm -f conftest.er1
     5009  cat conftest.err >&5
     5010  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5011  (exit $ac_status); } &&
     5012         { ac_try='test -z "$ac_c_werror_flag"
     5013                         || test ! -s conftest.err'
     5014  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5015  (eval $ac_try) 2>&5
     5016  ac_status=$?
     5017  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5018  (exit $ac_status); }; } &&
     5019         { ac_try='test -s conftest.$ac_objext'
     5020  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5021  (eval $ac_try) 2>&5
     5022  ac_status=$?
     5023  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5024  (exit $ac_status); }; }; then
     5025  ac_header_compiler=yes
     5026else
     5027  echo "$as_me: failed program was:" >&5
     5028sed 's/^/| /' conftest.$ac_ext >&5
     5029
     5030ac_header_compiler=no
     5031fi
     5032rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     5033echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     5034echo "${ECHO_T}$ac_header_compiler" >&6
     5035
     5036# Is the header present?
     5037echo "$as_me:$LINENO: checking $ac_header presence" >&5
     5038echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     5039cat >conftest.$ac_ext <<_ACEOF
     5040/* confdefs.h.  */
     5041_ACEOF
     5042cat confdefs.h >>conftest.$ac_ext
     5043cat >>conftest.$ac_ext <<_ACEOF
     5044/* end confdefs.h.  */
     5045#include <$ac_header>
     5046_ACEOF
     5047if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     5048  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     5049  ac_status=$?
     5050  grep -v '^ *+' conftest.er1 >conftest.err
     5051  rm -f conftest.er1
     5052  cat conftest.err >&5
     5053  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5054  (exit $ac_status); } >/dev/null; then
     5055  if test -s conftest.err; then
     5056    ac_cpp_err=$ac_c_preproc_warn_flag
     5057    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     5058  else
     5059    ac_cpp_err=
     5060  fi
     5061else
     5062  ac_cpp_err=yes
     5063fi
     5064if test -z "$ac_cpp_err"; then
     5065  ac_header_preproc=yes
     5066else
     5067  echo "$as_me: failed program was:" >&5
     5068sed 's/^/| /' conftest.$ac_ext >&5
     5069
     5070  ac_header_preproc=no
     5071fi
     5072rm -f conftest.err conftest.$ac_ext
     5073echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5074echo "${ECHO_T}$ac_header_preproc" >&6
     5075
     5076# So?  What about this header?
     5077case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5078  yes:no: )
     5079    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5080echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5081    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5082echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5083    ac_header_preproc=yes
     5084    ;;
     5085  no:yes:* )
     5086    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5087echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5088    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5089echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5090    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5091echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5092    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5093echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5094    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5095echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5096    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5097echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5098    (
     5099      cat <<\_ASBOX
     5100## ------------------------------------------- ##
     5101## Report this to orxonox-dev@mail.datacore.ch ##
     5102## ------------------------------------------- ##
     5103_ASBOX
     5104    ) |
     5105      sed "s/^/$as_me: WARNING:     /" >&2
     5106    ;;
     5107esac
     5108echo "$as_me:$LINENO: checking for $ac_header" >&5
     5109echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5110if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5111  echo $ECHO_N "(cached) $ECHO_C" >&6
     5112else
     5113  eval "$as_ac_Header=\$ac_header_preproc"
     5114fi
     5115echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5116echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5117
     5118fi
     5119if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5120  cat >>confdefs.h <<_ACEOF
     5121#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5122_ACEOF
     5123
     5124else
    51235125  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
    51245126echo "$as_me: error: cannot find SDL headers" >&2;}
     
    51285130done
    51295131
    5130 if test $mingw = no ; then
    5131         echo "$as_me:$LINENO: checking for main in -lSDL" >&5
     5132
     5133    echo "$as_me:$LINENO: checking for main in -lSDL" >&5
    51325134echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
    51335135if test "${ac_cv_lib_SDL_main+set}" = set; then
     
    51915193fi
    51925194
    5193         if test "$FOUND_SDL" = "yes" ; then
    5194                 LIBS="$LIBS -lSDL"
    5195         fi
    5196 #   checking for Windows sdl library
    5197 else
    5198     echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
    5199 echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
    5200 if test "${ac_cv_lib_sdlmain_main+set}" = set; then
     5195     if test "$FOUND_SDL" = "yes" ; then
     5196        LIBS="$LIBS -lSDL"
     5197     else
     5198         echo "------------------"
     5199         echo "SDL library not found."
     5200         echo "please install the SDL library, which can be found at http://www.libsdl.org"
     5201         echo "------------------"
     5202         exit -1
     5203     fi
     5204
     5205    ;;
     5206  *)
     5207    mingw="no"
     5208    ;;
     5209esac
     5210echo "$as_me:$LINENO: result: $mingw" >&5
     5211echo "${ECHO_T}$mingw" >&6
     5212
     5213
     5214#### Checking for LIBraries.
     5215
     5216# FIXME: Replace `main' with a function in `-lOSMesa':
     5217
     5218echo "$as_me:$LINENO: checking for main in -lOSMesa" >&5
     5219echo $ECHO_N "checking for main in -lOSMesa... $ECHO_C" >&6
     5220if test "${ac_cv_lib_OSMesa_main+set}" = set; then
    52015221  echo $ECHO_N "(cached) $ECHO_C" >&6
    52025222else
    52035223  ac_check_lib_save_LIBS=$LIBS
    5204 LIBS="-lsdlmain  $LIBS"
     5224LIBS="-lOSMesa  $LIBS"
    52055225cat >conftest.$ac_ext <<_ACEOF
    52065226/* confdefs.h.  */
     
    52415261  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    52425262  (exit $ac_status); }; }; then
    5243   ac_cv_lib_sdlmain_main=yes
     5263  ac_cv_lib_OSMesa_main=yes
    52445264else
    52455265  echo "$as_me: failed program was:" >&5
    52465266sed 's/^/| /' conftest.$ac_ext >&5
    52475267
    5248 ac_cv_lib_sdlmain_main=no
     5268ac_cv_lib_OSMesa_main=no
    52495269fi
    52505270rm -f conftest.err conftest.$ac_objext \
     
    52525272LIBS=$ac_check_lib_save_LIBS
    52535273fi
    5254 echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
    5255 echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
    5256 if test $ac_cv_lib_sdlmain_main = yes; then
    5257   FOUND_sdlmain=yes
    5258 fi
    5259 
    5260     if test "$FOUND_sdlmain" = "yes" ; then
    5261         LIBS="$LIBS -lsdlmain"
    5262     fi
    5263         echo "$as_me:$LINENO: checking for main in -lsdl" >&5
    5264 echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
    5265 if test "${ac_cv_lib_sdl_main+set}" = set; then
     5274echo "$as_me:$LINENO: result: $ac_cv_lib_OSMesa_main" >&5
     5275echo "${ECHO_T}$ac_cv_lib_OSMesa_main" >&6
     5276if test $ac_cv_lib_OSMesa_main = yes; then
     5277  cat >>confdefs.h <<_ACEOF
     5278#define HAVE_LIBOSMESA 1
     5279_ACEOF
     5280
     5281  LIBS="-lOSMesa $LIBS"
     5282
     5283fi
     5284
     5285# FIXME: Replace `main' with a function in `-lX11':
     5286
     5287echo "$as_me:$LINENO: checking for main in -lX11" >&5
     5288echo $ECHO_N "checking for main in -lX11... $ECHO_C" >&6
     5289if test "${ac_cv_lib_X11_main+set}" = set; then
    52665290  echo $ECHO_N "(cached) $ECHO_C" >&6
    52675291else
    52685292  ac_check_lib_save_LIBS=$LIBS
    5269 LIBS="-lsdl  $LIBS"
     5293LIBS="-lX11  $LIBS"
    52705294cat >conftest.$ac_ext <<_ACEOF
    52715295/* confdefs.h.  */
     
    53065330  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    53075331  (exit $ac_status); }; }; then
    5308   ac_cv_lib_sdl_main=yes
     5332  ac_cv_lib_X11_main=yes
    53095333else
    53105334  echo "$as_me: failed program was:" >&5
    53115335sed 's/^/| /' conftest.$ac_ext >&5
    53125336
    5313 ac_cv_lib_sdl_main=no
     5337ac_cv_lib_X11_main=no
    53145338fi
    53155339rm -f conftest.err conftest.$ac_objext \
     
    53175341LIBS=$ac_check_lib_save_LIBS
    53185342fi
    5319 echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
    5320 echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
    5321 if test $ac_cv_lib_sdl_main = yes; then
    5322   FOUND_sdl=yes
    5323 fi
    5324 
    5325         if test "$FOUND_sdl" = "yes" ; then
    5326                 LIBS="$LIBS -lsdl"
    5327         fi
    5328 fi
     5343echo "$as_me:$LINENO: result: $ac_cv_lib_X11_main" >&5
     5344echo "${ECHO_T}$ac_cv_lib_X11_main" >&6
     5345if test $ac_cv_lib_X11_main = yes; then
     5346  cat >>confdefs.h <<_ACEOF
     5347#define HAVE_LIBX11 1
     5348_ACEOF
     5349
     5350  LIBS="-lX11 $LIBS"
     5351
     5352fi
     5353
     5354# FIXME: Replace `main' with a function in `-lXt':
     5355
     5356echo "$as_me:$LINENO: checking for main in -lXt" >&5
     5357echo $ECHO_N "checking for main in -lXt... $ECHO_C" >&6
     5358if test "${ac_cv_lib_Xt_main+set}" = set; then
     5359  echo $ECHO_N "(cached) $ECHO_C" >&6
     5360else
     5361  ac_check_lib_save_LIBS=$LIBS
     5362LIBS="-lXt  $LIBS"
     5363cat >conftest.$ac_ext <<_ACEOF
     5364/* confdefs.h.  */
     5365_ACEOF
     5366cat confdefs.h >>conftest.$ac_ext
     5367cat >>conftest.$ac_ext <<_ACEOF
     5368/* end confdefs.h.  */
     5369
     5370
     5371int
     5372main ()
     5373{
     5374main ();
     5375  ;
     5376  return 0;
     5377}
     5378_ACEOF
     5379rm -f conftest.$ac_objext conftest$ac_exeext
     5380if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5381  (eval $ac_link) 2>conftest.er1
     5382  ac_status=$?
     5383  grep -v '^ *+' conftest.er1 >conftest.err
     5384  rm -f conftest.er1
     5385  cat conftest.err >&5
     5386  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5387  (exit $ac_status); } &&
     5388         { ac_try='test -z "$ac_c_werror_flag"
     5389                         || test ! -s conftest.err'
     5390  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5391  (eval $ac_try) 2>&5
     5392  ac_status=$?
     5393  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5394  (exit $ac_status); }; } &&
     5395         { ac_try='test -s conftest$ac_exeext'
     5396  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5397  (eval $ac_try) 2>&5
     5398  ac_status=$?
     5399  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5400  (exit $ac_status); }; }; then
     5401  ac_cv_lib_Xt_main=yes
     5402else
     5403  echo "$as_me: failed program was:" >&5
     5404sed 's/^/| /' conftest.$ac_ext >&5
     5405
     5406ac_cv_lib_Xt_main=no
     5407fi
     5408rm -f conftest.err conftest.$ac_objext \
     5409      conftest$ac_exeext conftest.$ac_ext
     5410LIBS=$ac_check_lib_save_LIBS
     5411fi
     5412echo "$as_me:$LINENO: result: $ac_cv_lib_Xt_main" >&5
     5413echo "${ECHO_T}$ac_cv_lib_Xt_main" >&6
     5414if test $ac_cv_lib_Xt_main = yes; then
     5415  cat >>confdefs.h <<_ACEOF
     5416#define HAVE_LIBXT 1
     5417_ACEOF
     5418
     5419  LIBS="-lXt $LIBS"
     5420
     5421fi
     5422
     5423
    53295424
    53305425#checking for pthread libs
     
    69517046s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
    69527047s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
     7048s,@mkdir_p@,$mkdir_p,;t t
    69537049s,@AWK@,$AWK,;t t
    69547050s,@SET_MAKE@,$SET_MAKE,;t t
    69557051s,@am__leading_dot@,$am__leading_dot,;t t
    6956 s,@MSBITFIELDS@,$MSBITFIELDS,;t t
    69577052s,@CXX@,$CXX,;t t
    69587053s,@CXXFLAGS@,$CXXFLAGS,;t t
     
    69797074s,@CPP@,$CPP,;t t
    69807075s,@EGREP@,$EGREP,;t t
     7076s,@MSBITFIELDS@,$MSBITFIELDS,;t t
    69817077s,@LIBOBJS@,$LIBOBJS,;t t
    69827078s,@LTLIBOBJS@,$LTLIBOBJS,;t t
     
    76067702  # Extract the definition of DEP_FILES from the Makefile without
    76077703  # running `make'.
    7608   DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
     7704  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
    76097705  test -z "$DEPDIR" && continue
    76107706  # When using ansi2knr, U may be empty or an underscore; expand it
    7611   U=`sed -n -e '/^U = / s///p' < "$mf"`
     7707  U=`sed -n 's/^U = //p' < "$mf"`
    76127708  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
    76137709  # We invoke sed twice because it is the simplest approach to
    76147710  # changing $(DEPDIR) to its actual value in the expansion.
    7615   for file in `sed -n -e '
     7711  for file in `sed -n '
    76167712    /^DEP_FILES = .*\\\\$/ {
    76177713      s/^DEP_FILES = //
Note: See TracChangeset for help on using the changeset viewer.